[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum 2.1.11 available




On Thu, 28 Oct 2004, seth vidal wrote:

> Here they are:
> 
> http://people.redhat.com/~katzj/yum-2.1.11-1.noarch.rpm

I get MD5 error with this rpm.

[root n-gage-11 ~]# rpm -Fvh yum-2.1.11-1.noarch.rpm 
error: yum-2.1.11-1.noarch.rpm: MD5 digest: BAD Expected(c8a746121970a9199e5e3e3e449996a4) != (f6764def0e65cf631dac94dd5e73b193)
error: yum-2.1.11-1.noarch.rpm cannot be installed


I tried using  http://linux.duke.edu/yum/download/2.1/yum-2.1.11-1.noarch.rpm - and stumbled 
into a peculiar issue. In the following session - 'yum checkupdate' perhaps just used cached 
pickle info and hence the output is inaccurate?. Shouldn't it know that it needs to grab some
new metadata?

Satish

*****************

[root n-gage-11 ~]# yum check-update
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00     
Setting up Repo:  local
repomd.xml                100% |=========================|  951 B    00:00     
Reading repository metadata in from local files
developmen: ################################################## 3426/3426
local     : ################################################## 10/10
Excluding Packages in global exclude list
Finished

evolution.i386                           2.0.2-3                development     
[root n-gage-11 ~]# yum update
Setting up Update Process
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00     
Setting up Repo:  local
repomd.xml                100% |=========================|  951 B    00:00     
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 952 kB    00:03     
MD Read   : ################################################## 3426/3426
developmen: ################################################## 3426/3426
local     : ################################################## 10/10
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for python-devel to pack into transaction set.
python-devel-2.3.4-11.i38 100% |=========================|  60 kB    00:00     
---> Package python-devel.i386 0:2.3.4-11 set to be updated
---> Downloading header for gcc-c++ to pack into transaction set.
gcc-c++-3.4.2-6.fc3.i386. 100% |=========================|  20 kB    00:00     
---> Package gcc-c++.i386 0:3.4.2-6.fc3 set to be updated
---> Downloading header for libf2c to pack into transaction set.
libf2c-3.4.2-6.fc3.i386.r 100% |=========================|  18 kB    00:00     
---> Package libf2c.i386 0:3.4.2-6.fc3 set to be updated
---> Downloading header for libstdc++ to pack into transaction set.
libstdc++-3.4.2-6.fc3.i38 100% |=========================|  18 kB    00:00     
---> Package libstdc++.i386 0:3.4.2-6.fc3 set to be updated
---> Downloading header for libgcc to pack into transaction set.
libgcc-3.4.2-6.fc3.i386.r 100% |=========================|  18 kB    00:00     
---> Package libgcc.i386 0:3.4.2-6.fc3 set to be updated
---> Downloading header for gcc to pack into transaction set.
gcc-3.4.2-6.fc3.i386.rpm  100% |=========================|  26 kB    00:00     
---> Package gcc.i386 0:3.4.2-6.fc3 set to be updated
---> Downloading header for system-config-packages to pack into transaction set.
system-config-packages-1. 100% |=========================|  22 kB    00:00     
---> Package system-config-packages.noarch 0:1.2.20-1 set to be updated
---> Downloading header for python to pack into transaction set.
python-2.3.4-11.i386.rpm  100% |=========================| 190 kB    00:00     
---> Package python.i386 0:2.3.4-11 set to be updated
---> Downloading header for hal to pack into transaction set.
hal-0.4.0-9.i386.rpm      100% |=========================|  17 kB    00:00     
---> Package hal.i386 0:0.4.0-9 set to be updated
---> Downloading header for libgcj to pack into transaction set.
libgcj-3.4.2-6.fc3.i386.r 100% |=========================|  24 kB    00:00     
---> Package libgcj.i386 0:3.4.2-6.fc3 set to be updated
---> Downloading header for gcc-g77 to pack into transaction set.
gcc-g77-3.4.2-6.fc3.i386. 100% |=========================|  20 kB    00:00     
---> Package gcc-g77.i386 0:3.4.2-6.fc3 set to be updated
---> Downloading header for redhat-menus to pack into transaction set.
redhat-menus-1.13-1.noarc 100% |=========================|  21 kB    00:00     
---> Package redhat-menus.noarch 0:1.13-1 set to be updated
---> Downloading header for fedora-logos to pack into transaction set.
fedora-logos-1.1.29-1.noa 100% |=========================|  12 kB    00:00     
---> Package fedora-logos.noarch 0:1.1.29-1 set to be updated
---> Package evolution.i386 0:2.0.2-3 set to be updated
---> Downloading header for cpp to pack into transaction set.
cpp-3.4.2-6.fc3.i386.rpm  100% |=========================|  20 kB    00:00     
---> Package cpp.i386 0:3.4.2-6.fc3 set to be updated
---> Downloading header for libstdc++-devel to pack into transaction set.
libstdc++-devel-3.4.2-6.f 100% |=========================|  51 kB    00:00     
---> Package libstdc++-devel.i386 0:3.4.2-6.fc3 set to be updated
--> Running transaction check

Dependencies Resolved
Transaction Listing:
  Update: cpp.i386 0:3.4.2-6.fc3
  Update: evolution.i386 0:2.0.2-3
  Update: fedora-logos.noarch 0:1.1.29-1
  Update: gcc.i386 0:3.4.2-6.fc3
  Update: gcc-c++.i386 0:3.4.2-6.fc3
  Update: gcc-g77.i386 0:3.4.2-6.fc3
  Update: hal.i386 0:0.4.0-9
  Update: libf2c.i386 0:3.4.2-6.fc3
  Update: libgcc.i386 0:3.4.2-6.fc3
  Update: libgcj.i386 0:3.4.2-6.fc3
  Update: libstdc++.i386 0:3.4.2-6.fc3
  Update: libstdc++-devel.i386 0:3.4.2-6.fc3
  Update: python.i386 0:2.3.4-11
  Update: python-devel.i386 0:2.3.4-11
  Update: redhat-menus.noarch 0:1.13-1
  Update: system-config-packages.noarch 0:1.2.20-1
Is this ok [y/N]: 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]